org.apache.sling.installer.provider.jcr.impl

## Class JcrUtil

- java.lang.Object
- - org.apache.sling.installer.provider.jcr.impl.JcrUtil

    public abstract class JcrUtil
    extends Object

The `JcrUtil` class provides helper methods used throughout this bundle.

### Constructor Summary

Constructors
Constructor and Description
`JcrUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static javax.jcr.Node` `createPath(javax.jcr.Session session, String absolutePath, String nodeType)` Creates or gets the `Node` at the given Path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JcrUtil

    public JcrUtil()

### Method Detail

#### createPath

    public static javax.jcr.Node createPath(javax.jcr.Session session,
                                            String absolutePath,
                                            String nodeType)
                                     throws javax.jcr.RepositoryException

Creates or gets the `Node` at the given Path.

Parameters:
  `session` - The session to use for node creation
  `absolutePath` - absolute node path
  `nodeType` - to use for creation of the final node
Returns:
  the Node at path
Throws:
  `javax.jcr.RepositoryException` - in case of exception accessing the Repository